#!/usr/bin/python3

## ============================ One time initializations ========================
fileName = "female-first.txt"


## ============================ Open and process file(s) ========================

try:
    inFile = open(fileName,'r')

    count = 1
    runFlag = True
    while(1):            # Process while true

        line = inFile.readline()
        if line == "":              # Exit on empty line == end of file
            break

        line = line.rstrip("\n")
        print(count,line)
        line = line.replace("  "," ")
        print("\t",count,line)
        fieldList = line.split(" ")
        print(fieldList)
        for field in fieldList:
            print(field)
        count = count + 1

except:
    print("Some error occurred. Ending here")
    exit(-1)

inFile.close()
